Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.xplat
Interface NCPService

public interface NCPService
extends SessionService

Provides the object returned by Session.getService().

Field Summary
`static java.lang.String` | `KEY` The key used to generate an object of this type via the Session.getService() method.

Method Summary
`int` | `fragmentRequest(int function, int verb, int reserved, byte[][] reqFrags, byte[][] replyFrags)` Exposes the "C" NWCCFragmentRequest function.

Field Detail

### KEY

    public static final java.lang.String KEY

  The key used to generate an object of this type via the Session.getService() method.

  (KEY = "com.novell.service.session.xplat.NCPService.493049483")

Method Detail

### fragmentRequest

    public int fragmentRequest(int function,
                               int verb,
                               int reserved,
                               byte[][] reqFrags,
                               byte[][] replyFrags)
                        throws com.novell.service.jncp.NSIException,
                               SessionException,
                               java.rmi.RemoteException

  Exposes the "C" NWCCFragmentRequest function.
  Parameters:
    `function` - The "C" NWCCFragmentRequest function.
    `verb` -
    `reserved` - Pass in 0.
    `reqFrags` - The byte arrays that the function is to extract and send.
    `replyFrags` - The byte arrays that the function will fill with the return data.
  Returns:
    The number of bytes returned by the NCP.
  Throws:
    com.novell.service.jncp.NSIException - When there is a failure. You can check the embedded ccode via the getCCode() method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD